From 85bcccdedd04973cb6c270ba7892e06eddab7f7d Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Mon, 12 Feb 2024 16:16:41 +0530
Subject: [PATCH v2] Add publisher and subscriber to glossary documentation

Add publisher and subscriber to glossary documentation.
---
 doc/src/sgml/glossary.sgml | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 8c2f11480d..91a5158601 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -959,6 +959,7 @@
      with all its databases.  Many instances can run on the same
      <glossterm linkend="glossary-server">server</glossterm>
      as long as their <acronym>TCP</acronym> ports do not conflict.
+     Also called <firstterm>node</firstterm>.
     </para>
     <para>
      The instance handles all key features of a <acronym>DBMS</acronym>:
@@ -1179,6 +1180,11 @@
    </glossdef>
   </glossentry>
 
+  <glossentry>
+   <glossterm>Node</glossterm>
+   <glosssee otherterm="glossary-instance" />
+  </glossentry>
+
   <glossentry id="glossary-null">
    <glossterm>Null</glossterm>
    <glossdef>
@@ -1315,6 +1321,22 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-publisher">
+   <glossterm>Publisher node</glossterm>
+   <glossdef>
+    <para>
+      A node where publication is defined for 
+      <glossterm linkend="glossary-replication">logical replication</glossterm>.
+      It replicates a set of changes from a table or a group of tables in 
+      publication to the subscriber node.
+    </para>
+    <para>
+     For more information, see
+     <xref linkend="logical-replication-publication"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-query">
    <glossterm>Query</glossterm>
    <glossdef>
@@ -1753,6 +1775,23 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-subscriber">
+   <glossterm>Subscriber node</glossterm>
+   <glossdef>
+    <para>
+     A node where subscription is defined for 
+     <glossterm linkend="glossary-replication">logical replication</glossterm>. 
+     It subscribes to one or more publications on a publisher node and pulls  
+     a set of changes from a table or a group of tables in publications it 
+     subscribes to.
+    </para>
+    <para>
+     For more information, see
+     <xref linkend="logical-replication-subscription"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+  
   <glossentry id="glossary-superuser">
    <glossterm>Superuser</glossterm>
    <glossdef>
-- 
2.34.1

